Specification, not yet live. These endpoints are planned and don’t resolve yet.
The proposed API verifies a payment proof before settling the payment. The proposed API verifies a payment proof before settling the payment.

POST /verify

Verify a ZK payment proof and get a payment token.
object
required
Groth16 proof.
array
required
Public signals of the proof.
object
required
ElGamal ciphertext.
object
required
Range proof for the amount.
array
required
Public signals of the range proof.
string
required
Commitment to the sender.
string
required
Recipient’s encryption key.
string
required
The x402 resource being paid for.
number
required
Proof creation time.
Response

POST /settle

Settle the payment on-chain. Gas is paid by the Numpay relayer.
object
required
array
required
object
required
string
required
From /verify.
string
required
string
required
Response

GET /phone/resolve/

Resolve a phone number to a wallet through the encrypted mapping.
Response

POST /phone/link

Link a phone number to a wallet.
string
required
string
required
string
required
Wallet signature over the link.
string
required